unit MainForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, Data.DB,
  DBAccess, MyAccess, MemDS, FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.Objects, FMX.TMSBaseControl, FMX.TMSGridCell, FMX.TMSGridOptions,
  FMX.TMSGridData, FMX.TMSCustomGrid, FMX.TMSLiveGrid,
  FMX.TMSLiveGridDataBinding, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, gtClasses, Fmx.Bind.DBEngExt,
  Data.Bind.Components, Data.Bind.Grid, Data.Bind.DBScope;

type
  TfrmMain = class(TForm)
    CnnToShopping: TMyConnection;
    QItem: TMyQuery;
    DsItem: TMyDataSource;
    Rectangle1: TRectangle;
    Label1: TLabel;
    grdItem: TTMSFMXLiveGrid;
    BindSourceDB1: TBindSourceDB;
    LinkGridToDataSourceBindSourceDB1: TLinkGridToDataSource;
    BindingsList1: TBindingsList;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Rectangle1Click(Sender: TObject);
  private
    { Private declarations }
    procedure FooterUpdate;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;
  Tot1: String;
  SQLString: String;
Const
  StoreCurrency = '';
  RedColor = $007373FF;
  CloseColor = $00AFFFFF;
  DisableColor = $00EEEEEE;
  DeleteColor = $00A7A7FF;
  SearchGreen = $00BEEB91;
implementation

{$R *.fmx}

procedure TfrmMain.FooterUpdate;
begin
  grdItem.HideColumns(17, 16);
end;
procedure TfrmMain.FormCreate(Sender: TObject);
begin
  Width := Round(Screen.Width);
  Height := Round(Screen.Height);
end;

procedure TfrmMain.FormShow(Sender: TObject);
begin
  CnnToShopping.Connected := True;
  QItem.Connection := CnnToShopping;
  Rectangle1Click(Sender);
end;

procedure TfrmMain.Rectangle1Click(Sender: TObject);
begin
  SQLString := 'select *, (100 * ITEM_CP)/ (ITEM_VATRATE + 100) AS CPEXVAT, '+
                 '(100 * ITEM_PRICE)/ (ITEM_VATRATE + 100) AS SPEXVAT, '+
                 '(100 * ITEM_CP)/ (ITEM_VATRATE + 100) * ITEM_STOCK AS TCPEXVAT, '+
                 'ITEM_CP * ITEM_STOCK AS TCPINVAT, '+
                 '(100 * ITEM_PRICE)/ (ITEM_VATRATE + 100) * ITEM_STOCK AS TSPEXVAT, '+
                 'ITEM_PRICE * ITEM_STOCK AS TSPINVAT, '+
                 '(ITEM_PRICE - ITEM_CP) AS PROFITD, '+
                 '((ITEM_PRICE - ITEM_CP) * 100 / ITEM_PRICE) AS PROFITPER '+
                 'from CS_ITEMS ORDER BY ITEM_NAME ASC';
  grdItem.BeginUpdate;
  with QItem do
  begin
    Close;
    SQL.Clear;
    SQL.Add(SQLString);
    Open;
  end;
  FooterUpdate;
  grdItem.EndUpdate;
end;

end.
